curl --request PATCH \
--url https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"scopes": {}
}'import requests
url = "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}"
payload = { "scopes": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scopes: {}})
};
fetch('https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}"
payload := strings.NewReader("{\n \"scopes\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scopes\": {}\n}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.patch("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scopes\": {}\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"scopes\": {}\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/orgs/tms-share-agreements/{tms_share_agreement_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'scopes' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tms_invitation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scopes": {}
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}Update Tms Share Agreement
Update an existing TMS Share Agreement.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the TMS Share Agreement to update
Body
Details to be updated in the TMS Share Agreement
Defines which TMS-sourced resources (loads, shipments, carriers, etc.) you can access and the permission level (read, write) for each.
Show child attributes
Show child attributes
Response
Successful Response
API model for reading a sharing agreement
Contains all the details about what TMS-sourced data you can access from a TMS account.
Unique agreement identifier
Your organization ID receiving access to TMS account data
The Catena TMS account ID sharing their data with you
The TMS invitation that was accepted to create this agreement, if any
Current state: ACTIVE (data access enabled) or DELETED (permanently removed)
active, deleted Defines which TMS-sourced resources (loads, shipments, carriers, etc.) you can access and the permission level (read, write) for each.
Show child attributes
Show child attributes
Was this page helpful?